package org.processmining.plugins.dcnet;

import javax.swing.JComponent;

import org.processmining.contexts.uitopia.annotations.Visualizer;
import org.processmining.framework.plugin.PluginContext;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginLevel;
import org.processmining.models.dcnet.DataAwareCausalNet;

public class DataAwareCausalNetVisualizerPlugin {

	@Plugin(name = "Visualize Data-aware Causal Net", returnLabels = { "Visualized Data-aware Causal Net" }, returnTypes = {
			JComponent.class }, parameterLabels = { "Causal Net" }, userAccessible = true, level = PluginLevel.PeerReviewed)
	@Visualizer
	public JComponent visualize(PluginContext context, DataAwareCausalNet dcnet) {

		DataAwareCausalNetVisualization netVisualization = new DataAwareCausalNetVisualization(dcnet);

		return netVisualization.getVisualization();
	}

}