package org.processmining.plugins.dcnet;

import java.awt.Color;

import javax.swing.JPopupMenu;

import org.processmining.models.cnet.CNetNode;
import org.processmining.models.cnet.CausalNet;
import org.processmining.models.dcnet.DCNet;
import org.processmining.models.dcnet.DataAwareCausalNet;

public class DefaultEdgeDecorator implements EdgeDecorator {

	private final DataAwareCausalNet dataCausalNet;

	public DefaultEdgeDecorator(CausalNet causalNet) {
		this(new DCNet(causalNet));
	}

	public DefaultEdgeDecorator(DataAwareCausalNet dataCausalNet) {
		this.dataCausalNet = dataCausalNet;
	}

	public double getEdgeWidth(CNetNode source, CNetNode target) {
		return 0.75;
	}

	public Color getEdgeColor(CNetNode source, CNetNode target) {
		return Color.BLACK;
	}

	public EdgeStyle getEdgeStyle(CNetNode source, CNetNode target) {
		return EdgeStyle.SOLID;
	}

	protected DataAwareCausalNet getDataCausalNet() {
		return dataCausalNet;
	}

	public String getEdgeLabel(CNetNode source, CNetNode target) {
		return null;
	}

	public JPopupMenu getEdgeMenu(CNetNode source, CNetNode target) {
		return new JPopupMenu("Edge Options");
	}

}